Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 1533)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 1534)
@@ -421,7 +421,7 @@
 		
 		if (r instanceof MainCorpus && "clean".equals(state)) {
 			MainCorpus c = (MainCorpus)r;
-			if (!c.getProjectDirectory().exists()) {
+			if (c.getProjectDirectory() == null || !c.getProjectDirectory().exists()) {
 				return;
 			}
 			File buildDirectory = new File(c.getProjectDirectory(), "temporary_annotations/"+c.getID());
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1533)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1534)
@@ -74,7 +74,7 @@
 	public static final DateFormat PRETTY_TIME_FORMAT = new SimpleDateFormat("YYYY/MM/dd HH:mm:ss");
 	public static final DateFormat PRETTY_LOCALIZED_TIME_FORMAT = new SimpleDateFormat("dd MMMM yyyy, HH'h'mm", Locale.getDefault());
 	public static final String UUID_PREFIX = "txm_res_"; //$NON-NLS-1$
-	public static final Pattern FILE_NAME_PATTERN = Pattern.compile("[^a-zA-Z0-9\\.-]+"); //$NON-NLS-1$
+	public static final Pattern FILE_NAME_PATTERN = Pattern.compile("[^a-zA-Z0-9\\.-_]+"); //$NON-NLS-1$
 	public static final String UNDERSCORE = "_";
 
 	/**
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1533)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1534)
@@ -1168,7 +1168,7 @@
 
 			try {
 
-				Log.finest("Toolbox.initialize(): checking result type linked to node path " + parametersNodePath);
+				//Log.finest("Toolbox.initialize(): checking result type linked to node path " + parametersNodePath);
 
 				String className = TXMPreferences.preferencesRootNode.node(parametersNodePath).get("class", ""); //$NON-NLS-1$
 
@@ -1176,7 +1176,7 @@
 					continue;
 				}
 
-				Log.finest("Toolbox.initialize(): loading from result node path " + parametersNodePath);
+				Log.fine("Toolbox.initialize(): loading from result node path " + parametersNodePath);
 				//Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier));
 				//TXMPreferences.dump();
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 1533)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 1534)
@@ -44,6 +44,10 @@
 		});
 
 		Composite sectionClient = toolkit.createComposite(this.section);
+		TableWrapData gdatac = new TableWrapData();
+		gdatac.colspan = 2;
+		sectionClient.setLayoutData(gdatac);
+		
 		TableWrapLayout slayout = new TableWrapLayout();
 		slayout.numColumns = 1;
 		sectionClient.setLayout(slayout);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1533)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1534)
@@ -356,13 +356,19 @@
 
 		Project project = null;
 		File paramFile = new File(destDir, ".settings");
-		if (paramFile.exists() && paramFile.isDirectory()) {
+		File dotProjectFile = new File(destDir, ".project");
+		if (paramFile.exists() && paramFile.isDirectory() && dotProjectFile.exists() && dotProjectFile.isFile()) {
+			System.out.println(NLS.bind(TXMUIMessages.loadingTheP0BinaryCorpusAsATXM080Corpus, destDir));
 			project = Load080BinaryCorpus.loadBinaryCorpusAsDirectory(destDir);
 			//			continue;
+			if (project != null) {
+				return project;
+			}
 		}
 
 		paramFile = new File(destDir, "import.xml");
 		if (paramFile.exists()) {
+			System.out.println(NLS.bind(TXMUIMessages.loadingTheP0BinaryCorpusAsATXM079Corpus, destDir));
 			project = Load079BinaryCorpus.loadBinaryCorpusAsDirectory(destDir, null);
 			//			continue;
 		}
